pl_flow.d(1m)

NAME
pl_flow.d - snoop Perl execution showing subroutine flow.

SYNOPSIS
pl_flow.d

DESCRIPTION
This traces Perl activity from all Perl programs on the system running with Perl provider support. This watches Perl subroutine entries and returns, and indents child subroutine calls.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_flow.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this subroutine belongs to

SUB Subroutine name

LEGEND

->  subroutine entry

<-  subroutine return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_flow.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)